#!/bin/bash

TARGET_URL="http://jme.collections.natural-europe.eu/oai/"
LFC_HOST=lfc.ipb.ac.rs
LFC_DEST="lfn:/grid/vo.aginfra.eu/outs/ESE2LOM/jme.collections.natural-europe.eu"

ESE2LOM_JAR="ESE2LOM.jar"
OUTPUT_DIR="output"

CURRENT_DIR=$(pwd)
JAVA=$(which java)

mkdir ${OUTPUT_DIR}
${JAVA} -jar ${ESE2LOM_JAR} ${TARGET_URL} ${CURRENT_DIR}/${OUTPUT_DIR}

export ${LFC_HOST}

for file in $(ls ${OUTPUT_DIR}); do
   lcg-cr -l ${LFC_DEST}/${file} ${OUTPUT_DIR}/${file}
done
